import Vue from "vue";
import Router from "vue-router";

import NotFoundComponent from "./views/NotFoundComponent.vue";
import OnlineExamHome from "./features/OnlineExam/OnlineExamHome.vue";
import OfflineExamHome from "./features/OfflineExam/OfflineExamHome.vue";
import OnlinePracticeHome from "./features/OnlinePractice/OnlinePracticeHome.vue";
import Login from "./features/Login/Login.vue";
import Password from "./features/Password/Password.vue";

Vue.use(Router);
let router = new Router({
  mode: "history",
  routes: [
    {
      path: "/",
      name: "home",
      component: OnlineExamHome
    },
    {
      path: "/login",
      name: "login",
      component: Login
    },
    {
      path: "/online-exam",
      name: "OnlineExamHome",
      component: OnlineExamHome
    },
    {
      path: "/online-practice",
      name: "OnlinePracticeHome",
      component: OnlinePracticeHome
    },
    {
      path: "/offline-exam",
      name: "OfflineExamHome",
      component: OfflineExamHome
    },
    {
      path: "/password",
      name: "password",
      component: Password
    },
    {
      path: "*",
      component: NotFoundComponent
    }
  ]
});

router.beforeEach((to, from, next) => {
  if (to.path === "/login") {
    next();
  } else {
    if (!window.localStorage.getItem("token")) {
      next({ path: "/login" });
    } else {
      next();
    }
  }
});

export default router;
